
Orangutan::Redmine - Feature #171

Changing done ratio and hinting

31 Mar 2010 18:46 - Andriy Lesyuk

Status: Closed Start date: 01 Dec 2010

Priority: Major Due date: 09 Feb 2011

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.05   

Description

Redmine allows to set how much work is already done for the issue in percents. In practice I believe people will forget to change this

value. So Orangutan could help here as well...

Let’s call some context after each task completion (on “end” event). The context should be able to calculate done percentage using

start date, due date and estimated hours. If it succeeds to calculate this it can suggest a user to change percentage to the specified

value. If user agrees or just do not answer - the context can save suggested value.

The context should also allow specifying different value on the question.

The context should also allow to set the value without any requests from Orangutan.

When calculating the context should take into account previous values (that is if task goes too slowly the context should be able

to recognize this and suggest the corrent value). Not sure how to do this however (even if possible to)...

Some suggestions:

Orangutan: It looks like it's time to change done to 50% for #170. May I do this?

User: Use 60%

Orangutan: Wow! Cool...

 

User: Set done to 50% for #170

Orangutan: Done.

History

#1 - 08 Jul 2010 16:47 - Andriy Lesyuk

- Start date deleted (21 Jun 2010)

- Due date deleted (21 Jun 2010)

#2 - 16 Sep 2010 20:20 - Andriy Lesyuk

- Priority changed from Minor to Normal

#3 - 01 Dec 2010 15:21 - Andriy Lesyuk

- Priority changed from Normal to Major

#4 - 01 Dec 2010 16:43 - Andriy Lesyuk

- Target version set to 1.07

#5 - 01 Dec 2010 16:46 - Andriy Lesyuk

Some notes:

Suggesting can be made having only estimated hours (and having spent time);

Suggesting can be made having only start and due date (without spent time even);

Suggesting should be made if no spent time is entered by users.
#6 - 02 Dec 2010 20:36 - Andriy Lesyuk

- Start date set to 01 Dec 2010

- Status changed from Open to In Progress

#7 - 02 Dec 2010 20:36 - Andriy Lesyuk

- % Done changed from 0 to 10

#8 - 03 Dec 2010 18:28 - Andriy Lesyuk

- % Done changed from 10 to 0

#9 - 03 Dec 2010 18:28 - Andriy Lesyuk

- % Done changed from 0 to 20

#10 - 06 Dec 2010 18:39 - Andriy Lesyuk

- % Done changed from 20 to 40

- Target version changed from 1.07 to 1.05

#11 - 31 Jan 2011 10:04 - Andriy Lesyuk

- Target version changed from 1.05 to 1.07

#12 - 03 Feb 2011 14:01 - Andriy Lesyuk

- Subject changed from Done percentage helper to Changing done ratio and hinting

#13 - 08 Feb 2011 12:57 - Andriy Lesyuk

- % Done changed from 40 to 70

#14 - 08 Feb 2011 13:09 - Andriy Lesyuk

- Target version changed from 1.07 to 1.05

#15 - 09 Feb 2011 12:31 - Andriy Lesyuk

- Due date set to 09 Feb 2011

- % Done changed from 70 to 100

- Status changed from In Progress to Closed

#16 - 28 Feb 2011 23:46 - Andriy Lesyuk

- Project changed from Orangutan to Orangutan::Redmine
